Bug 491540 - SELinux is preventing the system-config-s from using ...
SELinux is preventing the system-config-s from using ...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
rawhide
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-22 16:28 EDT by Flóki Pálsson
Modified: 2009-04-16 09:37 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-16 07:01:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Copy off alert - and restorecon (2.80 KB, text/plain)
2009-03-22 16:28 EDT, Flóki Pálsson
no flags Details

  None (edit)
Description Flóki Pálsson 2009-03-22 16:28:04 EDT
Created attachment 336219 [details]
Copy off alert - and restorecon

Description of problem:
When starting usr/bin/system-config-samba form menu then there is AVC warning showing before  password window appears.  

Version-Release number of selected component (if applicable):
selinux-policy-3.6.8-3.fc11.noarch


How reproducible:
Almost always

Steps to Reproduce:
1.
log out user - log in - start 
2.
start 
system-config-samba
from menu 
( AVC  appears )
3.
password window 
  
Actual results:
AVC warning 

Expected results:
No AVC


Additional info:
If set 2 is repeated after step 3 then there is no AVC. 

system-config-samba  crashes after step 3 
See bug 490050
Comment 1 Daniel Walsh 2009-04-13 10:17:41 EDT
Miroslav add

	userdom_dontaudit_search_admin_dir($1)

to

dbus_system_domain()
in dbus.if
Comment 2 Daniel Walsh 2009-04-13 10:18:43 EDT
Flóki Pálsson

You can ignore this for now, or add policy to allow it using

# grep avc /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp
Comment 3 Miroslav Grepl 2009-04-16 07:01:33 EDT
Fixed in selinux-policy-3.6.12-3.fc11.noarch
Comment 4 Miroslav Grepl 2009-04-16 07:07:42 EDT
(In reply to comment #3)
> Fixed in selinux-policy-3.6.12-3.fc11.noarch  

I apologize, copy/paste mistake.

Fixed in selinux-policy-3.6.12-5.1.fc11
Comment 5 Daniel Walsh 2009-04-16 09:33:26 EDT
Miroslav, I meant for you too add it to F10
Comment 6 Miroslav Grepl 2009-04-16 09:37:22 EDT
Also added to F10 selinux-policy. Fixed in selinux-policy-3.5.13-57.fc10

Note You need to log in before you can comment on or make changes to this bug.